# Invite a user Sends invitations to new users and creates their accounts with a pre-assigned role and groups. Request: emails - List of email addresses to invite. roleId - Role to assign to all invited users. groupIds - List of group IDs to add all invited users to. defaultSiteDomain - The site domain context used for the invitation link. Response: userIds - List of IDs of the newly created user accounts. Endpoint: POST /api/v1/user/create-invite Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `emails` (array) - `roleId` (string) Rule data fields - `groupIds` (array) - `defaultSiteDomain` (string) Rule data fields ## Response 200 fields (application/json): - `userIds` (array) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)